Bug 677 - Ctrl-C in boot flop fdisk panics system
Summary: Ctrl-C in boot flop fdisk panics system
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux   
(Show other bugs)
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-03 22:06 UTC by aa8vb
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-03-26 01:55:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description aa8vb 1999-01-03 22:06:09 UTC
Recently helped some friends install Redhat 5.2, and
when setting up their partitions with fdisk, we
incorrectly selected hit "a" to add a partition (this
is instead the cmd to toggle the bottable flag).  Pressing
<ENTER> alone did not abort the prompt so we hit Ctrl-C
to abort the command.  Amazingly, the kernel paniced and the
system rebooted.

Comment 1 David Lawrence 1999-01-04 20:20:59 UTC
I have verified that this does occur as the user has reported. Hitting
control-c does in fact hang the install.

Comment 2 Matt Wilson 1999-03-26 01:55:59 UTC
Fixed in next release


Note You need to log in before you can comment on or make changes to this bug.